import { Log4TSControlProvider, Log4TSControlProviderLogLevel } from "../api/Log4TSControlProvider";
import { Log4TSProvider } from "../api/Log4TSProvider";
/**
 * Implementation for Log4TSControlProvider.
 */
export declare class Log4TSControlProviderImpl implements Log4TSControlProvider {
    private readonly _provider;
    private readonly _messageChannel;
    /** Tracks the original log levels for the groups when this instance was created */
    private _originalLogLevels;
    constructor(provider: Log4TSProvider, messageChannel: (msg: string) => void);
    get name(): string;
    showSettings(): void;
    update(level: Log4TSControlProviderLogLevel, groupId?: number | string): void;
    reset(): void;
    save(): void;
    restore(logRestoreFailures?: boolean): void;
    help(): void;
    private restoreGroups;
    private createKey;
    private static loadCurrentGroupLogLevels;
}
//# sourceMappingURL=Log4TSControlProviderImpl.d.ts.map