import { Log4TSProvider } from "../api/Log4TSProvider";
import { RuntimeSettings } from "typescript-logging";
import { Log4TSGroupConfig } from "../api/Log4TSGroupConfig";
import { Logger } from "../api/Logger";
/**
 * Implementation class for Log4TSProvider.
 */
export declare class Log4TSProviderImpl implements Log4TSProvider {
    private readonly _log;
    private readonly _name;
    private readonly _defaultConfig;
    private readonly _logProviders;
    constructor(name: string, defaultConfig: Log4TSGroupConfig, groupConfigs: ReadonlyArray<Log4TSGroupConfig>);
    get name(): string;
    get config(): Log4TSGroupConfig;
    get groupConfigs(): ReadonlyArray<Log4TSGroupConfig>;
    getLogger(name: string): Logger;
    updateRuntimeSettingsGroup(identifier: string, config: Omit<RuntimeSettings, "channel">): void;
    updateRuntimeSettings(settings: RuntimeSettings): void;
    private static updateLog4TGroupConfig;
}
//# sourceMappingURL=Log4TSProviderImpl.d.ts.map