import { Log4TSProvider } from "../api/Log4TSProvider";
import { Log4TSConfigOptional } from "../api/Log4TSConfig";
import { Log4TSControl } from "../api/Log4TSControl";
/**
 * Provider for the Log4TS flavor, each provider is a unique instance that can be used to
 * get loggers from.
 */
declare class Log4TSProviderService {
    private readonly _log;
    private readonly _providers;
    createLogProvider(name: string, config: Log4TSConfigOptional): Log4TSProvider;
    /**
     * Clears all providers and configuration, the service reverts back to initial state.
     */
    clear(): void;
    getLog4TSControl(fnValue?: (msg: string) => void): Log4TSControl;
    private showSettings;
    private getLog4TSControlProviderByIdOrName;
    private static help;
}
/**
 * Singleton instance to the service, for internal usage only. Must NOT be exported to end user.
 */
export declare const LOG4TS_PROVIDER_SERVICE: Log4TSProviderService;
export declare const LOG4TS_LOG_CONTROL: (fnValue?: (msg: string) => void) => Log4TSControl;
export {};
//# sourceMappingURL=Log4TSProviderService.d.ts.map